voyent
How can I get ICEFaces 3.3.0 support for Netbeans 7.3.1  XML
Forum Index -> Tools
Author Message
bbergquist

Joined: 30/Mar/2009 00:00:00
Messages: 44
Offline


We are embarking on upgrading from ICEFaces 1.8.2 and Netbeans 7.1 and Glassfish 4.0 and would like to immediately go to the latest and greatest. Netbeans 7.3.1 is out and I tried to install the ICEFaces 3.3.0 plugin support (specified for Netbeans 7.3) and it installs, but then adding the ICEFaces 3.3.0 to the framework does not work.

Any ideas on getting this supported or a timeframe when this might be supported?
liming.wu

Joined: 26/Oct/2004 00:00:00
Messages: 441
Offline


New Netbeans tool bundles for Open source and EE customer with Netbeans 7.3.1 support have been released.
[Email]
bbergquist

Joined: 30/Mar/2009 00:00:00
Messages: 44
Offline


Thanks!
ajeh

Joined: 22/Sep/2013 12:41:25
Messages: 4
Offline


Just starting to evaluate IceFaces after doing same with PrimeFaces and wanted to make sure that I installed it properly. PrimeFaces downloaded itself automatically, apparently IceFaces requires manual install.
I downloaded NetBeans integration module IF-3.3.0a-IM-1.3.0-Netbeans-7.3-modules.zip and installed 5 components. Guide.pdf from the module stated that I should now be able to select IceFaces 3.3 component in the framework tree, but there is no such item, only:

IceFaces
PrimeFaces
RichFaces

If checked off IceFaces and hit More, the 3.3 library would be selected. However, when I Ok and save project properties, then welcomeIcefaces.xhtml would have an error:
Code:
 No library found for namespace http://www.icefaces.org/icefaces/components

Is installing IDE integration module not sufficient? Should I download and install anything else?
liming.wu

Joined: 26/Oct/2004 00:00:00
Messages: 441
Offline


If you can only see ICEfaces/Primefaces/Richfaces, it means you most likely selected JSF 2.2 library under Libraries tab. ICEfaces 3.3 hasn't been officially certified to work wirh JSf 2.2 yet. You can select Registered Libraries: JSF 2.1.21 and Select ICEfaces 3.3.0 under Components tab. For detail customization, you can click More.... button.

And also be aware that ICEfaces 3.3 hasn't been certified to run on Glassfish 4, which shipped with Netbeans 7.3.1. So please select Glassfish 3.1.xx, or other supported app servers.
[Email]
ajeh

Joined: 22/Sep/2013 12:41:25
Messages: 4
Offline


liming.wu wrote:
If you can only see ICEfaces/Primefaces/Richfaces, it means you most likely selected JSF 2.2 library under Libraries tab. ICEfaces 3.3 hasn't been officially certified to work wirh JSf 2.2 yet. You can select Registered Libraries: JSF 2.1.21 and Select ICEfaces 3.3.0 under Components tab. For detail customization, you can click More.... button.

And also be aware that ICEfaces 3.3 hasn't been certified to run on Glassfish 4, which shipped with Netbeans 7.3.1. So please select Glassfish 3.1.xx, or other supported app servers. 


It's OK, I'll wait until it's on 2.2
 
Forum Index -> Tools
Go to:   
Powered by JForum 2.1.7ice © JForum Team